I'm in a supported region but a still have the message "Region not supported" and can't connect my Uphold wallet to Brave

Hello,
I live in France and I still can’t connect my Uphold wallet to Brave.
Brave version: 1.44.108

@ZNyano Have you ever had a passport or other document from a different country?

Issue that has been occurring with a lot of people is a mismatch between KYC. Uphold sometimes can be content with just updating the mailing address and submitting those documents, but Brave isn’t. What happens is the API communicates between Uphold and Brave about your information. The crazy part is Brave staff can’t access it, but the system does.

So what could be happening is it’s seeing your prior passport for whatever country you were in and it’s telling you it’s an unsupported region based on that. Unless/until that’s updated between their systems, you’ll likely have this problem.

Part of the reason for it is because it’s an extra layer of fraud protection. It’s easy to fake a mailing address but harder to get official government licenses/passport.

If you need to submit new passport/government ID from your current country, you will need to create a support ticket with Uphold at at https://support.uphold.com/hc/en-us/requests/new (according to their support article at https://support.uphold.com/hc/en-us/articles/360043214052-How-to-update-your-information )

You always can try to reach out to Brave’s support as well, by doing a support ticket at https://support.brave.com/hc/en-us/requests/new?ticket_form_id=360001302431 but Brave will be limited on what they can do if it’s something that needs changing on Uphold’s end.

Okay thank you for your help :+1: